#!/usr/bin/tclsh

source English
set jive [open Jive w]
set piglatin [open PigLatin w]
set chef [open Chef w]
set valspeak [open ValSpeak w]

set keys {}
set toggle 0
foreach var [array get MV] {
	if {!$toggle} {
		lappend keys $var
		set toggle 1
	} else {
		set toggle 0
	}
}
foreach key $keys {
	set str_jive [exec echo $MV($key) | jive]
	set str_piglatin [exec echo $MV($key) | piglatin]
	set str_chef [exec echo $MV($key) | chef]
	set str_valspeak [exec echo $MV($key) | valspeak]
	puts $jive "set MV($key) \"$str_jive\""
	puts $piglatin "set MV($key) \"$str_piglatin\""
	puts $chef "set MV($key) \"$str_chef\""
	puts $valspeak "set MV($key) \"$str_valspeak\""
}
close $jive
close $piglatin
close $chef
close $valspeak

